kthresher(8)

NAME
kthresher - purge unused kernels

SYNOPSIS
kthresher [-h] [-c FILE ] [-d] [-H] [-k [N] ] [-p] [-s] [-v] [-V]

DESCRIPTION
kthresher is a utility to remove kernel packages that are marked as a candidate for autoremoval, such as those installed via unattended-upgrades or meta packages.

By default the running kernel, the latest kernel and manual installations are marked to 'Never Auto Remove'. kthresher then will not attempt to remove those packages.

When no option is passed to kthresher the list of available kernels for autoremoval will be printed.

OPTIONS

-h, --help
    show a help message and exits

-c FILE, --config FILE
    Config file, default is /etc/kthresher.conf

-d, --dry-run
    List what packages would be purged but do not perform the action, by default does not perform a dry-run.

-H, --headers
    Include the search for kernel headers, by default does not include headers.

-k N, --keep N
    Number of autoremovable kernels to keep, default is 1.

-p, --purge
    Purge unused kernels, by default does not purge packages.

-s, --show-autoremoval
    Show kernel packages available for autoremoval. When defined, overrides any other action coming from the configuration file(s). This is the default action when no other action is defined.

-v, --verbose
    Be verbose, by default is not verbose.

-V, --version
    Print version

FILES

Main Configuration
    /etc/kthresher.conf

Overriding configs
    /etc/kthresher.d

REPORTING BUGS
Bugs and issues to be submitted via github <https://github.com/rackerlabs/kthresher/issues>.

AUTHOR
Written by Tony Garcia <tony dot garcia at rackspace dot com>.

SEE ALSO
Additional documentation to be found via github <https://github.com/rackerlabs/kthresher/blob/master/README.rst>.

LICENSE
This software is Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <http://www.apache.org/licenses/LICENSE-2.0>.

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.